ServiceAccounts
Get apiserviceaccountsv1serviceaccounts tokens
GET
/
api
/
serviceAccounts
/
v1
/
serviceAccounts
/
{serviceAccountIdpId}
/
tokens
cURL
curl --request GET \
--url https://mycluster.domino.tech/api/serviceAccounts/v1/serviceAccounts/{serviceAccountIdpId}/tokens \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/serviceAccounts/v1/serviceAccounts/{serviceAccountIdpId}/tokens"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/serviceAccounts/v1/serviceAccounts/{serviceAccountIdpId}/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>",
"limit": 123,
"offset": 123,
"totalCount": 123
},
"tokens": [
{
"createdAt": "2025-08-21T23:51:54.075Z",
"isValid": true,
"name": "<string>",
"serviceAccountIdpId": "<string>",
"expiresAt": "2025-08-21T23:51:54.075Z"
}
]
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
Query Parameters
How many from the start to skip. Defaults to 0.
Max number to fetch. Defaults to 10.
Last modified on August 27, 2026
Related topics
Get apiserviceaccountsv1serviceaccounts tokens 1Get apiserviceaccountsv1serviceaccountsDelete apiserviceaccountsv1serviceaccounts tokensPost apiserviceaccountsv1serviceaccounts tokensWas this page helpful?
⌘I
cURL
